# Введение

[назад](README.md)

В современном мире одним из наиболее активно развивающихся направлений в информационных технологиях в настоящее время являются, так называемые, «большие данные» или BigData. Данное понятие, как правило, применимо для данных колоссального объёма, для которых традиционные методы и программные средства их обработки являются неприемлемыми. Термин «большие данные» используется практически повсеместно: в государственном и частном секторе, науке и технологии, здравоохранении и социальных сетях. Аналитическое агентство Gartner в 2012 году опубликовало отчёт под названием "Цикл ажиотажа для развивающихся технологий". Согласно отчёту, технологии "Социальная аналитика" и "Большие данные" находились на так называемом "пике завышенных ожиданий". В настоящее время их актуальность и востребованность только возросли. В частности, исследованиями социальных данных активно занимаются такие университеты как Стэнфорд, Оксфорд, а также компании Google, Amazon, Facebook, Yahoo!, LinkedIn и многие другие. Компании-владельцы сервисов  онлайновых социальных сетей (Facebook, Twitter) активно инвестируют в разработку усовершенствованных инфраструктурных и алгоритмических (новые алгоритмы поиска и рекомендации пользователей, товаров и услуг) решений для обработки больших массивов пользовательских данных. Появляются и успешно развиваются коммерческие компании, предоставляющие услуги по доступу к хранилищам социальных данных, сбору социальных данных по заданным сценариям, социальной аналитике, а также расширению существующих платформ с помощью социальных данных. 

Анализ социальных данных стремительно набирает популярность во всём мире благодаря появлению в начале 2000-х онлайновых сервисов социальных сетей (Facebook, Twitter, YouTube, ВКонтакте и другие). С этим связан феномен социализации персональных данных: стали публично доступными события и факты биографии, переписка, дневники, фото-, видео-,  аудиоматериалы, заметки о путешествиях и т.д. Таким образом, социальные сети являются уникальным источником данных о личной жизни и интересах реальных людей. Это открывает  беспрецедентные возможности для решения исследовательских и бизнес-задач (многие из которых до этого невозможно было решать эффективно из-за недостатка данных), а также создания вспомогательных сервисов и приложений для пользователей социальных сетей. Кроме того, этим обуславливается повышенный интерес к сбору и анализу социальных данных со стороны компаний и исследовательских центров. 

За последнее десятилетие социальные сети стали играть огромную роль в жизни общества. Они, будучи предметом социализации людей, занимают одну из лидирующих позиций по производству «больших данных». Возможность выкладывать и делиться сообщениями, фотографиями, музыкой, видео с друзьями, возможность создавать и проводить различные мероприятия, возможность продвижения бизнеса – всё это колоссальные объёмы постоянно генерирующихся, устаревающих, обновляющихся данных. 

Значимость социальных сетей также обусловлена тем, что они являются наиболее мощным и доступным политическим, идеологическим и экономическим инструментом. Таким образом, специалисты из исследовательских центров и компаний по всему миру используют данные социальных сетей для моделирования социальных, экономических, политических и 
других процессов от персонального до государственного уровня с целью разработки механизмов воздействия на эти процессы, а также создания инновационных аналитических и бизнес-приложений и сервисов.

С другой стороны социальные сети становятся все более привлекательной средой для реализации программ маркетинга. Однако все же руководители маркетинговых служб и специалисты-практики никак не могут оценить эффективность этого канала и сравнить результаты маркетинга в социальных сетях с другими маркетинговыми программами в сети Интернет. Особенно сложно, например, определить охват и воздействие социальных сетей и понять, как маркетинг в социальных сетях влияет на ключевые показатели бизнеса, такие как объем продаж, число заказов и количество событий конверсии посетителей в потребителей. Не зная, каким образом маркетинг в социальных сетях изменяет итоговые показатели прибыли, специалисты в области маркетинга рискуют принимать решения о программе мероприятий маркетинга и бюджетных ассигнованиях вслепую. 

Необходимо понимать, что социальная сеть направлена на построение сообществ в Интернете из людей со схожими интересами и/или деятельностью. Связь осуществляется посредством сервиса внутренней почты или мгновенного обмена сообщениями. И отыскание пользователей социальной сети с необходимыми интересами становится практически важным для 
многих компаний, ведущих коммерческую деятельность. 

Важно уметь измерять результаты, так как в целом ряде отраслей маркетологи увеличивают долю расходов на маркетинг в социальных сетях. По данным Forrester Research, в США расходы на социальный маркетинг в период с 2011 по 2016 гг. возросли более чем вдвое и составили порядка 5 млрд. долларов США. Социальные сети с совокупными среднегодовыми темпами роста 26% – второй из самых быстро развивающихся маркетинговых каналов после мобильного, как показывает диаграмма на рис. 1. 

![Рис. 1. Динамика развития маркетинговых каналов в США](images/2021-09-04_20-28-33.png)

Рис. 1. Динамика развития маркетинговых каналов в США 

С учётом колоссального роста объёмов мобильных устройств (смартфоны, планшеты и т.д.), а также разработки приложений для использования социальных сетей, количество массивов данных социальных сетей возрастает с каждым днём ещё в большей степени. Отсюда следует, что и оказываемое влияние социальных сетей практически на все сферы деятельности человека также растёт, что обуславливает актуальность анализа данных социальных сетей. 

[назад](README.md)