# 4. ВИЗУАЛИЗАЦИЯ ДАННЫХ СОЦИАЛЬНЫХ СЕТЕЙ

[назад](README.md)

Анализ данных социальных сетей включает в себя, в том числе, корректное и удобное их представление. Визуальное представление данных часто может являться не тривиальной задачей, ввиду их разнообразия и большого объема. 

Рассмотрим наиболее распространенные способы визуализации 
данных социальных сетей. 

В конце второго раздела шла речь о различных числовых метриках произведённых сообщений, либо иного текстового контента, содержащего информацию о геолокации. Удобным  инструментом визуализации данной информации являются картограммы. На картограмме может быть показано количество сообщений определенного заданного типа (например, содержащего 
то или иное слово, объект либо хештег) произведенных в течение заданного временного интервала (рис. 10).

![Рис. 10. Картограмма, содержащая информацию о частоте употреблений сообщений](images/2021-09-04_22-01-17.png)  
Рис. 10. Картограмма, содержащая информацию о частоте употреблений сообщений

При этом размер кружков на картограмме соответствует количеству подобных сообщений. В визуализацию таких данных можно добавить и семантический окрас сообщений, например, 
положительный, отрицательный и нейтральный (рис. 11). 

![Рис. 11. Картограмма, содержащая информацию о частоте употреблений сообщений и об их семантическом окрасе](images/2021-09-04_22-02-07.png)  
Рис. 11. Картограмма, содержащая информацию о частоте употреблений сообщений и об их семантическом окрасе

Анализ данных социальных сетей может быть направлен и на определение частоты употребления слов, фраз, иных объектов. В данном случае одним из наиболее удобных способов представления данных может служить облако тегов. На рис. 12 приводится облако тегов наиболее употребляемых слов (за исключением местоимений, союзов и предлогов) в текстовых сообщениях социальной сети Twitter. 

Для визуализации различных аналитических выкладок и метрик полученных по социальным сетям могут использоваться стандартные способы визуализации: графики, диаграммы, таблицы 
и т.д. (примеры приведены на рис. 13, 14). 

![Рис. 12. Облако тегов наиболее употребляемых слов в текстовых сообщениях социальной сети Twitter](images/2021-09-04_22-03-05.png)  
Рис. 12. Облако тегов наиболее употребляемых слов в текстовых сообщениях социальной сети Twitter

![Рис.13. Распределение употребления определенных тем в сообщениях сети Twitter по кластерам в группе стран ](images/2021-09-04_22-04-07.png)   
Рис.13. Распределение употребления определенных тем в сообщениях сети Twitter по кластерам в группе стран 

![Рис. 14. Анимированное круговое представление сюжетов тем, затронутых в социальной сети ](images/2021-09-04_22-04-41.png)   
Рис. 14. Анимированное круговое представление сюжетов тем, затронутых в социальной сети 

При всем разнообразии вариантов визуализации данных социальных сетей самым распространенным инструментом, описывающим и представляющим связи в социальной сети, 
является граф. При этом основной проблемой представления в виде графа часто является его большая размерность (рис. 15).

![Рис. 15. Граф, описывающий сегмент социальной сети](images/2021-09-04_22-06-07.png)  
Рис. 15. Граф, описывающий сегмент социальной сети

Граф большой размерности с точки зрения визуального представления крайне нечитабелен. Для решения данной проблемы используется выделение сегментов и кластеров (рис. 16) с  возможным дальнейшим уменьшением размерности.

![Рис. 16. Граф большой размерности с выделенными отдельными кластерами](images/2021-09-04_22-07-42.png)  
Рис. 16. Граф большой размерности с выделенными отдельными кластерами

Задача кластеризации графа большой размерности будет рассмотрена далее.

[назад](README.md)